// PseudoDraw.cpp : implementation file
//

#include "stdafx.h"

#include "PseudoDraw.h"
#include "uwidget.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPseudoDraw

CPseudoDraw::CPseudoDraw(UWidget *pseudo, int cmdid) : m_pseudo(pseudo), m_cmdid(cmdid)
{
}

CPseudoDraw::~CPseudoDraw()
{
}


BEGIN_MESSAGE_MAP(CPseudoDraw, CStatic)
	//{{AFX_MSG_MAP(CPseudoDraw)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPseudoDraw message handlers

void CPseudoDraw::OnPaint() 
{
	CPaintDC dc(this); // device context for painting

	if(m_pseudo != 0L)
		UEventSendMessage(m_pseudo->GetWidID(), EV_CUSTOM_DRAW, m_cmdid, &dc);
}
